/**
 * @version 1.00 1999-07-07
 * @author Cay Horstmann
 * @version 2.0 2007-03-19
 * @auther abx, modified with generics
 */

import java.util.*;

public class MapTest {  
	public static void main(String[] args) {  
		Map<String,Employee> staff = new HashMap<String,Employee>();
		staff.put("144-25-5464", new Employee("Angela Hung"));
		staff.put("567-24-2546", new Employee("Harry Hacker"));
		staff.put("157-62-7935", new Employee("Gary Cooper"));
		staff.put("456-62-5527", new Employee("Francesca Cruz"));

      	// print all entries

      	//System.out.println(staff);
		printMap(staff);

      	// remove an entry

      	staff.remove("567-24-2546");

      	// replace an entry

      	staff.put("456-62-5527", new Employee("Francesca Miller"));

      	// look up a value

      	System.out.println(staff.get("157-62-7935"));

      	// iterate through all entries

      	//Set entries = staff.entrySet();
		printMap(staff);
	} //main method
		
	public static void printMap(Map<String,Employee> map) {
		Iterator<Map.Entry<String,Employee>> iter = map.entrySet().iterator();
		while (iter.hasNext())	{  
      		Map.Entry<String,Employee> entry = iter.next();
         	String key = entry.getKey();
         	Employee value = entry.getValue();
         	System.out.println("key=" + key + ", value=" + value);
      	}
	}   	
} //class MapTest

class Employee {  
	public Employee(String n) {  
		name = n;
		salary = 50000.01;
   }

   public String toString() {  
   		return "[name=" + name + ", salary=" + salary + "]";
   }

   public void setSalary(double s) {  
   		salary = s;
   }

   private String name;
   private double salary;
}
